GRUB-FSTEST(1)

NOM
grub-fstest – Outil de débogage pour les pilotes du système de fichiers

SYNOPSIS
grub-fstest [OPTION...] CHEMIN_IMAGE COMMANDES

DESCRIPTION
Outil de débogage pour le pilote du système de fichiers.

    Commandes :

blocklist FICHIER
    Afficher la liste de blocages de FICHIER.

cat FICHIER
    Copier FICHIER sur la sortie standard.

cmp FICHIER LOCAL
    Comparer FICHIER avec le fichier local LOCAL.

cp FICHIER LOCAL
    Copier FILE dans le fichier local LOCAL.

crc FICHIER
    Déterminer la somme de contrôle crc32 de FICHIER.

hex FICHIER
    Afficher le contenu du FICHIER en hexadécimal.

ls CHEMIN
    Lister les fichiers de CHEMIN.

xnu_uuid PÉRIPHÉRIQUE
    Calculer l'UUID XNU du périphérique.

-c, --diskcount=NOMBRE
    Spécifier le nombre des fichiers d'entrée.

-C, --crypto
    Monter les périphériques chiffrés.

-d, --debug=CHAÎNE
    Définir la variable d'environnement de débogage.

-K, --zfs-key=FICHIER|prompt
    Charger la clé de chiffrement zfs.

-n, --length=NOMBRE
    Traiter N octets dans le fichier de sortie.

-r, --root=NOM_PÉRIPHÉRIQUE
    Établir un périphérique racine.

-s, --skip=NOMBRE
    Sauter N octets du fichier de sortie.

-u, --uncompress
    Décompresser les données.

-v, --verbose
    Afficher des messages détaillés.

-?, --help
    Afficher l’aide-mémoire.

--usage
    Afficher un court message pour l’utilisation.

-V, --version
    Afficher la version du programme.

Les paramètres obligatoires ou facultatifs pour les options de forme longue le sont aussi pour les options correspondantes de forme courte.

VOIR AUSSI
grub-probe(8)

La documentation complète de grub-fstest est disponible dans un manuel Texinfo. Si les programmes info et grub-fstest sont correctement installés, la commande

    info grub-fstest

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.